# This file contains various files for testing 

## expression_test.prog
This program simple executes and print simple expressions 
## factorial_test.prog
This program checks if functions and if/else statements are handled correctly.
Checks the factorial function 
## fibonacci_test.prog 
Similar to the factorial test, also tests recursions
## sort_test.prog 
This program simple executes selection sort on an unsorted array 
## *output_ref
These are references files specifing the expected output from the programs above. 
It is used by codegen-test.sh 
## How to test? 
To test a program simply execute codegen-test.sh in the parent directory.

```
bash codegen-test.sh
```
## How do I compile my own program? 
Invoke the compiler. 
Pipe the output to a file with the suffix.c 
```
compiler -c > <name>.c 
```
Do not use the -d flag when doing this. 

Then compile this file with
```
gcc -lm <name.c>
```

