#include <iostream>
#include <stdlib.h>

#include "lab2.hh"
#include "lex.hh"

int main(void)
{
    Parser parser;
    double val;

    while (true)
    {
        try
        {
            cout << "Expression: " << flush;
            /* Implement the parser.Parse method */
            val = parser.Parse();
            cout << "Result:     " << val << '\n' << flush;
        }
        catch (ScannerError& e)
        {
            cerr << e << '\n' << flush;
            parser.Recover();
        }
        catch (ParserError)
        {
            parser.Recover();
        }
        catch (ParserEndOfFile)
        {
            cerr << "End of file\n" << flush;
            exit(0);
        }
    }
}
